跳转到内容
Try Gitea Cloud ☁️ for 30 days → Accelerate your Development & Deploys!
Support
This is the documentation of 21.11.0, which is no longer the latest release. See the latest release.

Unblock the issue given in the body by the issue in path

DELETE
/repos/{owner}/{repo}/issues/{index}/blocks
curl --request DELETE \
--url https://gitea.example.com/api/v1/repos/example/example/issues/example/blocks \
--header 'Authorization: Basic <credentials>' \
--header 'Content-Type: application/json' \
--data '{ "index": 1, "owner": "example", "repo": "example" }'
owner
required
string

Owner of the repo

repo
required
string

Name of the repo

index
required
string

Index of the issue

IssueMeta basic issue information

object
index
integer format: int64
owner
string
repo
string
Examplegenerated
{
"index": 1,
"owner": "example",
"repo": "example"
}

Issue

Media typeapplication/json

Issue represents an issue in a repository

object
assets
Array<object>

Attachment a generic attachment

object
browser_download_url
string
created_at
string format: date-time
download_count
integer format: int64
id
integer format: int64
name
string
size
integer format: int64
uuid
string
assignee

User represents a user

object
active

Is user active

boolean
avatar_url

URL to the user’s avatar

string
created
string format: date-time
description

The user’s description

string
email
string format: email
followers_count

User counts

integer format: int64
following_count
integer format: int64
full_name

The user’s full name

string
id

The user’s id

integer format: int64
is_admin

Is the user an administrator

boolean
language

User locale

string
last_login
string format: date-time
location

The user’s location

string
login

The user’s username

string
login_name

The user’s authentication sign-in name.

string
default: empty
prohibit_login

Is user login prohibited

boolean
restricted

Is user restricted

boolean
starred_repos_count
integer format: int64
visibility

User visibility level option: public, limited, private

string
website

The user’s website

string
assignees
Array<object>

User represents a user

object
active

Is user active

boolean
avatar_url

URL to the user’s avatar

string
created
string format: date-time
description

The user’s description

string
email
string format: email
followers_count

User counts

integer format: int64
following_count
integer format: int64
full_name

The user’s full name

string
id

The user’s id

integer format: int64
is_admin

Is the user an administrator

boolean
language

User locale

string
last_login
string format: date-time
location

The user’s location

string
login

The user’s username

string
login_name

The user’s authentication sign-in name.

string
default: empty
prohibit_login

Is user login prohibited

boolean
restricted

Is user restricted

boolean
starred_repos_count
integer format: int64
visibility

User visibility level option: public, limited, private

string
website

The user’s website

string
body
string
closed_at
string format: date-time
comments
integer format: int64
created_at
string format: date-time
due_date
string format: date-time
html_url
string
id
integer format: int64
is_locked
boolean
labels
Array<object>

Label a label to an issue or a pr

object
color
string
description
string
exclusive
boolean
id
integer format: int64
is_archived
boolean
name
string
url
string
milestone

Milestone milestone is a collection of issues on one repository

object
closed_at
string format: date-time
closed_issues
integer format: int64
created_at
string format: date-time
description
string
due_on
string format: date-time
id
integer format: int64
open_issues
integer format: int64
state

StateType issue state type

string
title
string
updated_at
string format: date-time
number
integer format: int64
original_author
string
original_author_id
integer format: int64
pin_order
integer format: int64
pull_request

PullRequestMeta PR info if an issue is a PR

object
merged
boolean
merged_at
string format: date-time
ref
string
repository

RepositoryMeta basic repository information

object
full_name
string
id
integer format: int64
name
string
owner
string
state

StateType issue state type

string
title
string
updated_at
string format: date-time
url
string
user

User represents a user

object
active

Is user active

boolean
avatar_url

URL to the user’s avatar

string
created
string format: date-time
description

The user’s description

string
email
string format: email
followers_count

User counts

integer format: int64
following_count
integer format: int64
full_name

The user’s full name

string
id

The user’s id

integer format: int64
is_admin

Is the user an administrator

boolean
language

User locale

string
last_login
string format: date-time
location

The user’s location

string
login

The user’s username

string
login_name

The user’s authentication sign-in name.

string
default: empty
prohibit_login

Is user login prohibited

boolean
restricted

Is user restricted

boolean
starred_repos_count
integer format: int64
visibility

User visibility level option: public, limited, private

string
website

The user’s website

string
Example
{
"assignee": {
"login_name": "empty"
},
"assignees": [
{
"login_name": "empty"
}
],
"labels": [
{
"color": "00aabb",
"exclusive": false,
"is_archived": false
}
],
"user": {
"login_name": "empty"
}
}

APINotFound is a not found empty response

Media typeapplication/json